
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c#客户端和服务器端通信问题 / iVAN</title>

    <meta name="description" content="c#客户端和服务器端通信问题 问题描述 c#客户端和服务器端通信问题 服务端ip:192.168.1.214.客户端ip:192.168.1.30 客户端代码public static void ReceiveStart(string localip, string localPort) { try { //创建接受套接字 IPAddress localIP = IPAddress.Parse(localip); IPEndPoint localIPEndPoint = new IPEndPoint(localIP, int">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c#客户端和服务器端通信问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>c#客户端和服务器端通信问题
        </dt>
<dd>
          <br />服务端ip：192.168.1.214。客户端ip：192.168.1.30<br />
客户端代码public static void ReceiveStart(string localip, string localPort)<br />
        {<br />
            try<br />
            {<br />
                //创建接受套接字<br />
                IPAddress localIP = IPAddress.Parse(localip);<br />
                IPEndPoint localIPEndPoint = new IPEndPoint(localIP, int.Parse(localPort));<br />
                receiveUdpClient = new UdpClient(localIPEndPoint);<br />
                //启动接受线程<br />
                Thread threadReceive = new Thread(ReceiveMessages);<br />
                threadReceive.IsBackground = true;<br />
                threadReceive.Start();<br />
            }<br />
            catch (Exception ex)<br />
            {<br />
                MessageBox.Show("错误类型："+ex.ToString());<br />
            }<br />
        }</p>
<pre><code>    private static void ReceiveMessages()
    {
        IPEndPoint remoteIPEndPoint = new IPEndPoint(IPAddress.Any, 0);
        while (true)
        {
            try
            {
                //关闭receiveUdpClient时此句会产生异常

                byte[] receiveBytes = receiveUdpClient.Receive(ref remoteIPEndPoint);
                /*for (int i = 0; i &lt; receiveBytes.Length; i++)
                {
                    ShwMsgForView.ShwMsgforView(listBox, string.Format("{0}[{1}]", remoteIPEndPoint, receiveBytes[i].ToString()));
                }*/
                // string message = Encoding.Unicode.GetString(receiveBytes, 0, receiveBytes.Length);
                string message = Encoding.ASCII.GetString(receiveBytes, 0, receiveBytes.Length);
                //显示接受到的消息内容
                //ShwMsgForView.ShwMsgforView(listBox, string.Format("{0}[{1}]", remoteIPEndPoint, message))
                label_dis.Text = message;
            }
            catch
            {
                break;
            }
        }
    }
            然后我用一个button调用他，输入ip是192.168.1.30，port使用的是8099.检测port口没有被占用。打开程序后点击button调用报错：socket的问题，说是在其上下文中该地址无效。我查了下网上的解答，说是要配置路由，但是路由是公用的我不好其配置。。。有没有其他解决方法。
</code></pre>
</dd>
</dl>
<h1>解决方案</h1>
<p>很可能你的客户端机器的ip不是192.168.1.30。</p>
<p>解决方法就是你地址绑定的时候直接同通配符：</p>
<p>IPEndPoint localIPEndPoint = new IPEndPoint(**IPAddress.Any**, int.Parse(localPort));</p>
<p>解决方案二：<br />
    <br />ping那个地址能ping通么？两台计算机的防火墙以及路由器的防火墙有没有限制。</p>
<p>解决方案三：<br />
    <br />肯定能啊，我能直接控制他开关机，但是通信不行</p>
<p>解决方案四：<br />
    <br />绑定地址直接使用IPAddress.Any.toString()，然后能实现通信了。<br />
再请教下，我用的路由器，然后客户端win7系统，ipv4地址是固定地址192.168.1.30，ipv6的没设置，为什么绑定192.168.1.30没用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:46:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%80%9a%e4%bf%a1/" title="通信">通信</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c#客户端和服务器端通信问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVdyRDM.html" rel="bookmark">vb&period;net怎样实现多客户端与服务器端通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ImportsSystem.Net.SocketsImportsSystem.NetImportsSystem.ThreadingImportsSystem.TextPublicClassUsingAsyncSocketServerDimstrMessageAsStringDimmyListenerAsSocketDimbteAccept(65536)AsByteDimbteSend(65536)AsByteDimEndSocketAsSocketDimmyThread1AsThrea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXOKqp.html" rel="bookmark">有关客户端与服务器端通信的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 写了一段服务器端和客户端通信代码,实现以下功能:客户端将文件发送到服务器端,服务器端接收完文件后给客户端发送一个消息.运行代码后出现以下问题不知如何神马原因:客户端文件可以正确地传到服务器端,但是服务器端接收完文件后发送给客户端地确认消息,客户端收不到,报java.net.SocketException: Socket is closed的异常,请各位帮忙看看客户端代码package client;import java.io.*;import java.net.*;public cl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mym6xZM.html" rel="bookmark">Android实现蓝牙客户端与服务器端通信示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.首先说明:蓝牙通信必须用手机测试,因为avd里没有相关的硬件,会报错! 好了,看看最后的效果图: 二.概述: 1.判断是否支持Bluetooth BluetoothAdapter bluetoothAdapter = BluetoothAdapter.getDefaultAdapter(); if(bluetoothAdapter == null) { //the device doesn't support bluetooth } else { //the device support b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmdNjBM.html" rel="bookmark">通过TCP进行客户端与服务器端通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 为何只能进行单方通信?无法进行双方通信?????求大神解救!!!!!!!!!!packageswing;importjava.awt.BorderLayout;importjava.awt.Color;importjava.awt.Container;importjava.awt.event.ActionEvent;importjava.awt.event.ActionListener;importjava.io.BufferedReader;importjava.io.IOExcep			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR89Rez.html" rel="bookmark">java多线程实现服务器端与多客户端之间的通信&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用java语言构建一个网络服务器,实现客户端和服务器之间通信,实现客户端拥有独立线程,互不干扰. 应用多线程来实现服务器与多线程之间的通信的基本步骤 服务器端创建ServerSocket,循环调用accept()等待客户端链接 客户端创建一个Socket并请求和服务器端链接 服务器端接受客户端请求,创建socekt与该客户端建立专线链接 建立链接的socket在一个单独的线程上对话 服务器继续等待新的链接 服务器端Server.java package test.concurrent.socke			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badWqgz.html" rel="bookmark">php-androi客户端与服务器端的通信问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 androi客户端与服务器端的通信问题 我用php写的服务器端, 我想要实现这么一个功能. 假设一共有4台android客户端,每一个客户端都向服务器传两个值(id,value),然后服务器再把所有接收到的值返回给每一个客户端,由此来形成一个数据共享. 从客户端传值到服务器我已经实现了,现在的问题就是怎么把服务器的所有(id,value)数据对返回给android客户端? 解决方案 http无状态 所以要用到比轮循更高级的&quot;push技术&quot; 解决方案二: socket连接 ud			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kq3BM.html" rel="bookmark">安卓客户端与服务器端有哪些通信方式&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓客户端与服务器端有哪些通信方式? 安卓客户端与服务器端有哪些通信方式各有什么优缺点怎么根据项目的实际情况选择啊? 或者有什么相关资料推荐也好. 马上毕业小白一个在此先谢谢各位大侠. 解决方案 安卓客户端与服务器端的通信方法主要有长连接和短连接.短连接:是指客户端与服务器通讯双方有数据交互时才建立一个连接,数据发送完毕后就断开此连接,如:http协议.基于该协议的框架如:httpclient长连接:是指客户端与服务器之间始终建立着一个通讯连接,在该连接没有中断之前,客户端与服务器端之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrX0Njz.html" rel="bookmark">反向Ajax：Comet用于服务器与客户端之间响应通信的流和长轮询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端的示例使用的是 jQuery http://www.aliyun.com/zixun/aggregation/33906.html&quot;&gt;JavaScript 库.在这首篇文章中,我们探索不同的反向 Ajax 技术,使用可下载的例子来学习使用了流 (streaming) 方法和长轮询 (long polling) 方法的 Comet. Web 开发在过去的几年中有了很大的进展,我们已经远超了把静态网页链接在一起的做法,这种做法会引起浏览器的刷新,并且要等待页面的加载.现在需要的是能够通过			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmdqQM.html" rel="bookmark">问一个笼统的问题，ios客户端和服务器通信都有什么方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 问一个笼统的问题,ios客户端和服务器通信都有什么方法 ios客户端和服务器通信时都有那些方法?那种比较好用或最常用的? 解决方案 ios设备的网络通信的方法,有如下两个大类: 1.使用socket的方式进行通信. 2.使用asynsocket类库进行通信. 两种方法当中,我觉得asynsocket更好,因为是别人已经封装好的类库,比较稳定.但是对于直接使用socket的通信方法我倒是觉得很灵活.因为控制都是自己在做的事情. 先列举集中不同的使用方法: 1.直接使用socket的方式.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEJwoM.html" rel="bookmark" class="title">算法-求T10I4D100K数据集文件</a>
					<div>
						问题描述 求T10I4D100K数据集文件 本人在做关联规则算法方面的东西,想找测试用的数据集,找了很久都没有找到.求好心人帮助! 解决方案 我也想要一份,能发我吗 解决方案二: c k e d i  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7vAqp.html" rel="bookmark" class="title">网站优化的五个阶段</a>
					<div>
						很多新手朋友刚开始接触seo的时候,因为很多东西不了解,所以也没有一套层次分明的优化流程,网站优化其实也是分阶段的,不同阶段的侧重点是不同的,然后整体贯穿起来这样我们的网站才会慢慢的看到优化效果,今天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnWW4z.html" rel="bookmark" class="title">C&num; 4&period;0中的动态类型和动态编程</a>
					<div>
						随着WEB开发的大行其道,各种动态语言也借着这股东风,蓬勃发展起来.在软件开发界,动态语言正 在被越来越多的的人所接受和使用,在CSDN所做的2007年读者大调查中,动态语言在开发人群中的受关注 程度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAalnQM.html" rel="bookmark" class="title">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;37&rpar;：&lowbar;cplb&lowbar;mgr</a>
					<div>
						在uclinux内核中,提供了一个函数:_cplb_mgr,此函数位于 arch/blackfin/kernel/cpu-nompu/cplbmgr.s,它的作用是当bf561发生cplb miss  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElr3Zz.html" rel="bookmark" class="title">我的WCF之旅（5）：面向服务架构（SOA）和面向对象编程（OOP）的结合</a>
					<div>
						对于.NET重载(Overloading)--定义不同参数列表的同名方法(顺便提一下,我们但可以在参数列表上重载方法,我们甚至可以在返回类型层面来重载我们需要的方法--页就是说,我们可以定义两个具有相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwR5xz.html" rel="bookmark" class="title">移动网站的导航设计</a>
					<div>
						导航是互联网网站最重要的组成部分之一,它涉及到产品的信息架构.页面布局和用户交互行为等诸多方面.一个网站用户体验的优劣往往和导航的优劣有密切的联系. 随着移动互联网的发展,越来越多的网站以移动网站的形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZrlqz.html" rel="bookmark" class="title">win7定时关机如何设置</a>
					<div>
						  1,在开始菜单中的搜索框中输入cmd,如下图所示. 2,回车确认打开cmd命令提示符窗口.在窗口中输入shutdown,如下图所示. shutdown关机命令使用说明: -s:表示关闭计算机 -r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72qaap.html" rel="bookmark" class="title">轻松将U盘变成硬盘的绝招</a>
					<div>
						  下载&quot;ChipGenius.exe&quot;软件. 下载后插上U盘,打开&quot;ChipGenius.exe&quot;软件, 通过&quot;芯片型号&quot;或&quot;资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGQDop.html" rel="bookmark" class="title">任务栏跑到别处去了或者太宽了怎么办&quest;</a>
					<div>
						  1.拖动任务栏 1)任务栏是桌面最下面的一个长条,左边是开始按钮,右边是系统托盘,打开的窗口都会在这里放一个按钮图标; 2)把鼠标移到任务栏的上边缘,指针会变成双箭头形状,这时候按住拖动鼠标就可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badxNNz.html" rel="bookmark" class="title">在Liferay中创建一个JSP Portlet，但是这个插件显示不出来？？</a>
					<div>
						问题描述 我已经配置好环境了,然后自己测试开发的jspportlet,以下是步骤:配置文件是:-extext-webdocrootWEB-INFportlet-ext.xml&lt;!--MYFirs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP80Y1p.html" rel="bookmark" class="title">opencv配置后测试问题</a>
					<div>
						问题描述 opencv配置后测试问题 opencv在vs2013配置完后,再测试代码时, 在Debug模式下可以正常运行,而在Release模式下报 Microsoft C++ 异常: cv::Exc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42lr9M.html" rel="bookmark" class="title">exp-imp实现oracle不同表空间的迁移</a>
					<div>
						  方法一:   --1.修改表空间名称(账号:sys/oracleas SYSDBA 登录) alter tablespace CICHR rename to CICHR_BAK;   alter  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YoE4M.html" rel="bookmark" class="title">android 百度地图定位图标上下晃动，像一个探针似的上下晃动，怎么实现</a>
					<div>
						问题描述 android 百度地图定位图标上下晃动,像一个探针似的上下晃动,怎么实现 百度定位图标一蹦一跳的这种效果怎么实现.请各位大神指教.............. 解决方案 Android 百度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l8A3b.html" rel="bookmark" class="title">malloc-C语言字符指针问题求解答</a>
					<div>
						问题描述 C语言字符指针问题求解答 main(){ char * a; a=(char * )malloc(40); scanf(&quot;&quot;%s&quot;&quot;* a );}上面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlDNmb.html" rel="bookmark" class="title">如何让div span等元素能响应键盘事件操作指南&lowbar;javascript技巧</a>
					<div>
						在我这几天的工作中遇到了一个问题,google了一下找到了解决方案,不过是英文的,我简单翻译下让更多的人能看懂 译文如下: 我有一个可编辑的div,并且在DIV里面还有一个可编辑的span,我想要让s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamG7nb.html" rel="bookmark" class="title">前端翻译：Promises&sol;A&plus;规范</a>
					<div>
						原文地址:https://promisesaplus.com/ 本篇为原文翻译+个人理解,若有谬误请各位指正,谢谢. 一个可靠的可共同协作的JavaScript Promise开放标准   promi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4ljAz.html" rel="bookmark" class="title">平台-小白在cocos2dx-3&period;x&plus;win8环境配置中出现问题</a>
					<div>
						问题描述 小白在cocos2dx-3.x+win8环境配置中出现问题 因为是windows平台下开发,所以并没有配置ADT,NDK等,仅仅设置了python环境变量. 在运行Testcpp时,成功运行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZkWLM.html" rel="bookmark" class="title">c&plus;&plus; 编程问题-设计一个C&plus;&plus;编程 写代码</a>
					<div>
						问题描述 设计一个C++编程 写代码 请问如何用C++编程运用调用方式 输出200以内所有的素数 及其个数?? 解决方案 #includeint isprime(int n){ if(n&lt;2)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZWlAz.html" rel="bookmark" class="title">麻烦了-怎么在浏览器中隐藏一个文本框</a>
					<div>
						问题描述 怎么在浏览器中隐藏一个文本框 我有一个jsp页面,然后里面有一个文本框, 我不想把这个文本框显示到浏览器页面中怎么实现?????工作需要 解决方案 &lt;input type=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40D9qz.html" rel="bookmark" class="title">Ubuntu Dapper 提速脚本</a>
					<div>
						曾经埋怨 Ubuntu 运行缓慢的朋友,现在不妨来试试这个提速脚本.该脚本目前可以应用于 Ubuntu Dapper Drake,即 Ubuntu 6.06.据介绍,这个脚本主要是通过安装某些 pre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL79Q5M.html" rel="bookmark" class="title">AAA测评模式：从顾客角度做营销管理</a>
					<div>
						AAA测评模型是建立在客户的决策行为/心理过程基础上,帮您测评.修正.调整网站运营营销能力的一种模型方 法.目前企业经营越来越聚焦&quot;人&quot;,消费者的心思和行为成为关键.在线下卖场中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvnr7AM.html" rel="bookmark" class="title">resin和tomcat的性能哪个更好？resin4&period;0&period;35还有硬编码的最大连接数限制吗？</a>
					<div>
						问题描述 在网上看到的这二者的比较都莫衷一是.有人说二者差不多.有人说单实例resin能支持10000的并发,而tomcat只能支持到1000-2000.哪个是对的?还有,resin4.0.35免费版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JZJJz.html" rel="bookmark" class="title">android输入法-最近想做个自己的手写输入法，但输入法都要占屏幕，请问怎么样才能不占前台进程的空间</a>
					<div>
						问题描述 最近想做个自己的手写输入法,但输入法都要占屏幕,请问怎么样才能不占前台进程的空间 最近想做个自己的手写输入法,但输入法都要占屏幕的下面一部分空间,请问怎么样才能不占前台进程的空间,看遍整个i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12woap.html" rel="bookmark" class="title">js根据鼠标移动速度背景图片自动旋转的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js根据鼠标移动速度背景图片自动旋转的方法.分享给大家供大家参考.具体实现方法如下: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB8ZOz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;给你米&rdquo;病毒感染手机逾90万</a>
					<div>
						随着智能手机成为手机市场上的主流,很多黑客将目标从个人计算机转移至智能手机.日前,一个名为&quot;给你米(geinimi)&quot;的病毒就将Android手机卷入了&quot;吸费门&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO3q2b.html" rel="bookmark" class="title">加载带有手势识别器的XIB文件需注意哪些问题&lowbar;IOS</a>
					<div>
						如果在你的应用程序中需要检测手势,比如点击(tap).二指拨动 (pinch).拖移(pan)和旋转(rotation),那么通过创建UIGestureRecognizer类来实现将十分简单. 接下来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6O4XM.html" rel="bookmark" class="title">Apache 启动 Neither the JAVA&lowbar;HOME nor the JRE&lowbar;HOME environment variable is defined At least one of these environment variable is needed to run this prog</a>
					<div>
						1.  在 /etc/profile 添加如下变量(目录根据自己的文件所在目录做修改调整) export JAVA_HOME=/home/uroot/java/jdk1.7.0_21 export C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NwGJz.html" rel="bookmark" class="title">PHP实现表单提交时去除斜杠的教程</a>
					<div>
						本文实例讲述了PHP实现表单提交时去除斜杠的方法.分享给大家供大家参考,具体如下: &lt;html&gt;   &lt;head&gt;     &lt;title&gt;HTML 表单&lt;/t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP4PEp.html" rel="bookmark" class="title">【突发】Telsa致命车祸细节报告：人为设定超速15&percnt;（下载）</a>
					<div>
						事故发生后的几天,媒体一度蜂拥对此进行分析,当时我们也凑热闹还写了一大段事故描述: &quot;一如既往蓝天白云且风和日丽的天气,一辆横在路上的白色重卡,一个热衷尝试新技术且对此深信不疑的驾驶员,一条 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJlm3M.html" rel="bookmark" class="title">中国各种创意手机挂满店头</a>
					<div>
						在中国有一些让人觉得不可能存在的.配备独特功能的手机陆续出现. 听说中国经常有假币出现,能识别假币的手机就诞生了.这个手机利用人民币中的数字只对特定波长的光线有反应这一性质,在手机上配置了蓝色发光LE ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
